Bug 788718 - Review Request: clalsadrv - An ALSA driver C++ library
Summary: Review Request: clalsadrv - An ALSA driver C++ library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 789055 789059 789255 789390
TreeView+ depends on / blocked
 
Reported: 2012-02-08 21:49 UTC by Brendan Jones
Modified: 2012-03-01 09:34 UTC (History)
4 users (show)

Fixed In Version: clalsadrv-2.0.0-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 10:49:20 UTC
Type: ---
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2012-02-08 21:49:01 UTC
clalsadrv is a C++ driver for ALSA (Linux Audio).

This package has existed in planetCCRMA for quite some time, but is a dependency of a number of packages that will eventually find their home in Fedora Audio (such as aeolus synth, an organ synthesizer, jaaa and japa, audio analysers for JACK).

SRPM: http://bsjones.fedorapeople.org/clalsadrv-2.0.0-2.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/clalsadrv.spec

Comment 1 Peter Lemenkov 2012-02-16 10:29:25 UTC
I'll review it.

Comment 2 Peter Lemenkov 2012-02-16 10:32:44 UTC
Koji scratch build for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3795140

Comment 3 Peter Lemenkov 2012-02-16 10:44:13 UTC
One issue I found so far - you should use "ln -s" instead of simple "ln" which creates hardlinks instead of softlinks. See the latest line in the %install section.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+/- rpmlint is not silent. However I think in this case his messages can be omitted safely:

work ~/Desktop: rpmlint clalsadrv-*
clalsadrv.src: I: enchant-dictionary-not-found en_US
clalsadrv.x86_64: E: incorrect-fsf-address /usr/share/doc/clalsadrv-2.0.0/COPYING
clalsadrv-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/clalsadrv-2.0.0/libs/clalsadrv.h
clalsadrv-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/clalsadrv-2.0.0/libs/clalsadrv.cc
clalsadrv-devel.x86_64: W: no-documentation
clalsadrv-devel.x86_64: E: incorrect-fsf-address /usr/include/clalsadrv.h
4 packages and 0 specfiles checked; 4 errors, 1 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines (GPLv2 or later as it stated in the source files).

- The License field in the package spec file must matche the actual license. Correct field value is GPLv2+ (see licensing headers in the source files)/

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum clalsadrv-2.0.0.tar.bz2*
7886b60ea79ad16f2353bb5165404ffac8287ec56704f2d07cc5804447674a2f  clalsadrv-2.0.0.tar.bz2
7886b60ea79ad16f2353bb5165404ffac8287ec56704f2d07cc5804447674a2f  clalsadrv-2.0.0.tar.bz2.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
0 No pkgconfig(.pc) files.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please, adjust "License" field and fix linking issue in the %install section before uploading. This package is


APPROVED.

Comment 4 Brendan Jones 2012-02-16 14:12:11 UTC
Thanks for the review Peter, I will commit your suggestions.

New Package SCM Request
=======================
Package Name: clalsadrv
Short Description: An ALSA driver C++ library
Owners: bsjones
Branches: f15 f16 f17
InitialCC:

Comment 5 Gwyn Ciesla 2012-02-16 14:14:43 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-02-16 15:24:29 UTC
clalsadrv-2.0.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clalsadrv-2.0.0-3.fc16

Comment 7 Fedora Update System 2012-02-16 15:24:39 UTC
clalsadrv-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/clalsadrv-2.0.0-3.fc15

Comment 8 Fedora Update System 2012-02-16 15:24:50 UTC
clalsadrv-2.0.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clalsadrv-2.0.0-3.fc17

Comment 9 Fedora Update System 2012-02-16 19:25:49 UTC
clalsadrv-2.0.0-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Fedora Update System 2012-02-28 10:49:20 UTC
clalsadrv-2.0.0-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2012-03-01 09:26:31 UTC
clalsadrv-2.0.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2012-03-01 09:34:59 UTC
clalsadrv-2.0.0-3.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.